| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__RefreshServiceGroupMemberRequest Struct Reference
Subscribe-Notify Framework

Refresh Service Group Member request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__string | ServiceName
| Service Group Identifier. More...
xsd__string | Name
| Functional Element Endpoint Name (Name or FEIdentifier field must be set). More...
xsd__string | FEIdentifier
| Functional Element Identifier (Name or FEIdentifier field must be set). More...
enum unsp__ServGrpMemberType * | Type
| Type of Service Group Member. More...
enum unsp__ServGrpMemberMonitor * | Method
| Monitor Method of Service Group Member. More...

## Detailed Description

Refresh Service Group Member request.

Used by unsp__RefreshServiceGroupMember()

## Member Data Documentation

## ◆ FEIdentifier

xsd__string unsp__RefreshServiceGroupMemberRequest::FEIdentifier

Functional Element Identifier (Name or FEIdentifier field must be set).

It is not allowed to be set in case ServGrpMemberMonitorElmtState event package has been selected.
required: false

## ◆ Method

enum unsp__ServGrpMemberMonitor* unsp__RefreshServiceGroupMemberRequest::Method

Monitor Method of Service Group Member.

required: true

## ◆ Name

xsd__string unsp__RefreshServiceGroupMemberRequest::Name

Functional Element Endpoint Name (Name or FEIdentifier field must be set).

required: false

## ◆ OperatorId

xsd__string unsp__RefreshServiceGroupMemberRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ ServiceName

xsd__string unsp__RefreshServiceGroupMemberRequest::ServiceName

Service Group Identifier.

required: true

## ◆ Type

enum unsp__ServGrpMemberType* unsp__RefreshServiceGroupMemberRequest::Type

Type of Service Group Member.

required: true

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h